| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::mask Class Referenceabstract
API

the generic class, parent of all masks More...

`#include <mask.hpp>`

Inherits libdar::on_pool.

Inherited by libdar::bool_mask, libdar::et_mask, libdar::exclude_dir_mask, libdar::mask_list, libdar::not_mask, libdar::regular_mask, libdar::same_path_mask, libdar::simple_mask, and libdar::simple_path_mask.

## Public Member Functions
virtual bool | is_covered (const std::string &expression) const =0
| check wether the given string is covered by the mask More...
virtual bool | is_covered (const path &chemin) const
| check whether the given path is covered by the mask More...
virtual mask * | clone () const =0
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the generic class, parent of all masks

this is a pure virtual class that is used in API call any of the following mask classes inherit from this class

Definition at line 61 of file mask.hpp.

## Member Function Documentation

virtual mask* libdar::mask::clone | ( |  | ) | const
| pure virtual

this is to be able to copy a mask without knowing its exact class and without loosing its specialized data

Implemented in libdar::exclude_dir_mask, libdar::same_path_mask, libdar::simple_path_mask, libdar::ou_mask, libdar::et_mask, libdar::not_mask, libdar::regular_mask, libdar::simple_mask, libdar::bool_mask, and libdar::mask_list.

virtual bool libdar::mask::is_covered | ( | const std::string & | expression | ) | const
| pure virtual

check wether the given string is covered by the mask

Parameters

  [in] | expression | is the filename to check

Returns
  true if the given filename is covered by the mask

Note
  only libdar internally needs to call this method

Implemented in libdar::exclude_dir_mask, libdar::same_path_mask, libdar::simple_path_mask, libdar::ou_mask, libdar::et_mask, libdar::not_mask, libdar::regular_mask, libdar::simple_mask, libdar::bool_mask, and libdar::mask_list.

Referenced by libdar::not_mask::is_covered().

virtual bool libdar::mask::is_covered | ( | const path & | chemin | ) | const
| inline virtual

check whether the given path is covered by the mask

Parameters

  [in] | chemin | is the path to check

Returns
  true if the given path is covered by the mask

Note
  only libdar internally needs to call this method
  this is an optional method to the previous one, it can be overwritten

Reimplemented in libdar::exclude_dir_mask, libdar::simple_path_mask, libdar::ou_mask, libdar::et_mask, libdar::not_mask, and libdar::bool_mask.

Definition at line 79 of file mask.hpp.

References libdar::path::display(), and is_covered().

Referenced by is_covered().

The documentation for this class was generated from the following file:

- mask.hpp